cancel
Showing results for 
Search instead for 
Did you mean: 

Error Installing Security Patch SUPEE-5994 for magento community 1.7.0.2

Error Installing Security Patch SUPEE-5994 for magento community 1.7.0.2

When i tried to install by ssh the patch SUPEE-5994 with this command "sh PATCH_SUPEE-5994_CE_1.6.0.0_v1-2015-05-15-04-34-46.sh" on my magento community 1.7.0.2, i have this error :


Erreur PATCH_SUPEE-5994_CE_1.6.0.0_v1-2015-05-15-04-34-46.sh
[root@ns373922 backup_blcm_20052015]# sh PATCH_SUPEE-5994_CE_1.6.0.0_v1-2015-05-15-04-34-46.sh
Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.
checking file app/code/core/Mage/Authorizenet/controllers/Directpost/PaymentController.php
checking file app/code/core/Mage/Core/Controller/Varien/Router/Admin.php
checking file app/code/core/Mage/Core/Controller/Varien/Router/Standard.php
checking file app/code/core/Mage/Customer/Model/Customer.php
Hunk #1 succeeded at 259 (offset -14 lines).
checking file app/code/core/Mage/Dataflow/Model/Convert/Parser/Csv.php
checking file app/code/core/Mage/ImportExport/Model/Export/Adapter/Csv.php
checking file app/code/core/Mage/Install/Controller/Router/Install.php
checking file app/code/core/Mage/Install/etc/config.xml
checking file app/code/core/Mage/Sales/controllers/Recurring/ProfileController.php
checking file downloader/Maged/Model/Connect.php
checking file downloader/Maged/View.php
Hunk #1 FAILED at 162 (different line endings).
1 out of 1 hunk FAILED
checking file downloader/template/connect/packages_prepare.phtml
checking file downloader/template/messages.phtml
checking file get.php
Hunk #1 FAILED at 37 (different line endings).
1 out of 1 hunk FAILED
checking file lib/PEAR/PEAR/PEAR.php
checking file lib/PEAR/PEAR/PEAR5.php
checking file lib/Varien/Io/File.php

 

Please could you tell me why this error appears ?

 

Thanks a lot.

Sincerely.

Tags (2)
2 REPLIES

Re: Error Installing Security Patch SUPEE-5994 for magento community 1.7.0.2

Hello @bbonizec

 

I saw the error you are facing, it seems the error you are facing due to code in wrong line rather defined in patch. 

Let me explain you, In patch files, it has been stated that on this line, this code is there, add or modify patch code. 

In your case, I think it is not able to match the code and line to modify and that's probably it is showing error. 

You can follow this blog post for other way to install the patch on your Magento.

http://magecomp.com/blog/how-to-install-magento-security-patches/

 

SECURITY DISCLAIMER: The above website contains Magento Security Patch files which are self-hosted by the user and as such unsafe. Magento Forum advise all users to only download patch files from the official Magento Downloads page. 

Found something useful, please give "Kudos" or "Accept as Solution" for Token of Appreciation.
Free Magento Extensions : https://magecomp.com/free-magento-extensions.html

Re: Error Installing Security Patch SUPEE-5994 for magento community 1.7.0.2

Hello,

 

Thanks for this explainations.

 

Sincerely.